import { TypedEmitter } from 'tiny-typed-emitter';
import { SignalingMessage } from '../deviceMessages';
import { Channel } from './channel';
import { PeerConnection, PeerConnectionEvents, ServiceConfig } from './connection';
type WebSocketConnectionOptions = {
    url: string;
};
export declare class WebSocketPeerConnection extends TypedEmitter<PeerConnectionEvents> implements PeerConnection {
    private _connectionOptions;
    private _channels;
    private _webSocket?;
    state: 'new' | 'connecting' | 'connected' | 'disconnected' | 'failed' | 'closed';
    tiebreaker: boolean;
    constructor(connectionData: WebSocketConnectionOptions);
    transmit(serviceConfig: ServiceConfig, id: string, channel: Channel): void;
    receive(serviceConfig: ServiceConfig, id: string, channel: Channel): void;
    handleSignalingMessage(_msg: SignalingMessage): Promise<void>;
    connect(): Promise<void>;
    teardown(): void;
    private _createLabel;
    private _addChannel;
}
export {};
//# sourceMappingURL=websocket-connection.d.ts.map